curl --request GET \
--url https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"knowledge_base_id": "<string>",
"vector_store_id": "<string>",
"knowledge_base_name": "<string>",
"embedding_config": {
"type": "models_api",
"model_deployment_id": "<string>"
},
"created_at": "<string>",
"metadata": {},
"updated_at": "<string>",
"connections": [
{
"last_uploaded_at": "2023-11-07T05:31:56Z",
"knowledge_base_data_source": {
"name": "<string>",
"data_source_config": {
"source": "S3",
"s3_bucket": "<string>",
"aws_region": "<string>",
"aws_account_id": "<string>",
"s3_prefix": ""
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"account_id": "<string>",
"description": "<string>",
"tagging_information": {
"type": "all",
"tags_to_apply": {}
}
},
"deletion_status": "DELETING"
}
],
"artifacts_status": {
"artifacts_chunking": 123,
"artifacts_embedding": 123,
"artifacts_completed": 123,
"artifacts_pending": 123,
"artifacts_uploading": 123,
"artifacts_failed": 123
},
"artifact_count": 123,
"cluster_status": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"index_backend": "AzureSearch",
"kb_index_configuration": {
"fields": {
"author": {
"fields": {
"age": {
"filterable": true,
"type": "int32"
},
"name": {
"filterable": true,
"searchable": true,
"type": "string"
}
},
"type": "complex"
},
"priority": {
"filterable": true,
"type": "int32"
}
},
"max_index_size": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Knowledge Base
Description
Gets the details of a knowledge base.
Details
This API can be used to get information about a single knowledge base by ID. To use this API, pass in the knowledge_base_id that was returned from your Create Knowledge Base API call as a path parameter.
This API will return the details of a knowledge base including its ID, name, the embedding model it uses, any metadata associated with the knowledge base, and the timestamps for its creation, last-updated time.
Backwards Compatibility
V2 and V1 Knowledge Bases are entirely separate and not backwards compatible. Users who have existing V1 knowledge bases will need to migrate their data to V2 knowledge bases.
curl --request GET \
--url https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"knowledge_base_id": "<string>",
"vector_store_id": "<string>",
"knowledge_base_name": "<string>",
"embedding_config": {
"type": "models_api",
"model_deployment_id": "<string>"
},
"created_at": "<string>",
"metadata": {},
"updated_at": "<string>",
"connections": [
{
"last_uploaded_at": "2023-11-07T05:31:56Z",
"knowledge_base_data_source": {
"name": "<string>",
"data_source_config": {
"source": "S3",
"s3_bucket": "<string>",
"aws_region": "<string>",
"aws_account_id": "<string>",
"s3_prefix": ""
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"account_id": "<string>",
"description": "<string>",
"tagging_information": {
"type": "all",
"tags_to_apply": {}
}
},
"deletion_status": "DELETING"
}
],
"artifacts_status": {
"artifacts_chunking": 123,
"artifacts_embedding": 123,
"artifacts_completed": 123,
"artifacts_pending": 123,
"artifacts_uploading": 123,
"artifacts_failed": 123
},
"artifact_count": 123,
"cluster_status": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"index_backend": "AzureSearch",
"kb_index_configuration": {
"fields": {
"author": {
"fields": {
"age": {
"filterable": true,
"type": "int32"
},
"name": {
"filterable": true,
"searchable": true,
"type": "string"
}
},
"type": "complex"
},
"priority": {
"filterable": true,
"type": "int32"
}
},
"max_index_size": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Headers
Path Parameters
Query Parameters
Optional query parameter to include a count of artifacts by status
Connections, ArtifactCount, IndexConfiguration, ArtifactsStatus Response
Successful Response
The unique ID of the knowledge base
(Legacy) The unique ID of the underlying vector store. This is to allow for backwards compatibility with the V1 Vector Store APIs. This will be removed in the near future.
The name of the knowledge base
The embedding configuration
- EmbeddingConfigModelsAPI
- EmbeddingConfigBase
Show child attributes
Show child attributes
The timestamp at which the knowledge base was created
Metadata associated with the knowledge base
The timestamp at which the knowledge base was last updated
The data source connections associated with the knowledge base. Only returned with the view=Connections query parameter.
Show child attributes
Show child attributes
Number of artifacts in each of the various states, such as completed and failed for this knowledge base. This includes all data sources. Only returned with the view=ArtifactsStatus query parameter on list endpoints; on the GET endpoint, opt in via include_artifacts_status=true.
Show child attributes
Show child attributes
The total number of artifacts in the knowledge base. Only returned with the view=ArtifactCount query parameter.
Whether the knowledge base has been clustered.
The user ID of the user who created the knowledge base.
The type of identity (user or service account) that created the knowledge base.
user, service_account The underlying search backend powering this knowledge base.
AzureSearch, OpenSearch, Redis, VertexAISearch The effective metadata schema enforced on this knowledge base's underlying index, including system defaults (page, artifact_uri_public, artifact_name). Populated for Azure AI Search backends; null for schemaless backends (OpenSearch, Vertex AI). Only returned when the caller opts in via view=IndexConfiguration on both the GET and list endpoints.
Show child attributes
Show child attributes

